# Namespace: extent

## ol.extent

### Methods

#### staticol.extent.applyTransform(extent, transformFn, opt_extent){ol.Extent} experimental

src/ol/extent.js, line 725

  Apply a transform function to the extent.

  Name | Type | Description
  --- | --- | ---
  `extent` | ol.Extent | Extent.
  `transformFn` | ol.TransformFunction | Transform function. Called with [minX, minY, maxX, maxY] extent coordinates.
  `extent` | ol.Extent | optional Destination extent.

  ##### Returns:

  Extent.

#### staticol.extent.boundingExtent(coordinates){ol.Extent} experimental

src/ol/extent.js, line 41

  Builds an extent that includes all given coordinates.

  Name | Type | Description
  --- | --- | ---
  `coordinates` | Array.<ol.Coordinate> | Coordinates.

  ##### Returns:

  Bounding extent.

#### staticol.extent.buffer(extent, value, opt_extent){ol.Extent} experimental

src/ol/extent.js, line 76

  Return extent increased by the provided value.

  Name | Type | Description
  --- | --- | ---
  `extent` | ol.Extent | Extent.
  `value` | number | The amount by wich the extent should be buffered.
  `extent` | ol.Extent | optional Extent.

  ##### Returns:

  Extent.

#### staticol.extent.containsCoordinate(extent, coordinate){boolean} experimental

src/ol/extent.js, line 148

  Checks if the passed coordinate is contained or on the edge of the extent.

  Name | Type | Description
  --- | --- | ---
  `extent` | ol.Extent | Extent.
  `coordinate` | ol.Coordinate | Coordinate.

  ##### Returns:

  Contains.

#### staticol.extent.containsExtent(extent1, extent2){boolean} experimental

src/ol/extent.js, line 162

  Checks if `extent2` is contained by or on the edge of `extent1`.

  Name | Type | Description
  --- | --- | ---
  `extent1` | ol.Extent | Extent 1.
  `extent2` | ol.Extent | Extent 2.

  ##### Returns:

  Contains.

#### staticol.extent.createEmpty(){ol.Extent} experimental

src/ol/extent.js, line 204

  ##### Returns:

  Empty extent.

#### staticol.extent.equals(extent1, extent2){boolean} experimental

src/ol/extent.js, line 308

  Name | Type | Description
  --- | --- | ---
  `extent1` | ol.Extent | Extent 1.
  `extent2` | ol.Extent | Extent 2.

  ##### Returns:

  Equals.

#### staticol.extent.extend(extent1, extent2){ol.Extent} experimental

src/ol/extent.js, line 320

  Name | Type | Description
  --- | --- | ---
  `extent1` | ol.Extent | Extent 1.
  `extent2` | ol.Extent | Extent 2.

  ##### Returns:

  Extent.

#### staticol.extent.getBottomLeft(extent){ol.Coordinate} experimental

src/ol/extent.js, line 430

  Name | Type | Description
  --- | --- | ---
  `extent` | ol.Extent | Extent.

  ##### Returns:

  Bottom left coordinate.

#### staticol.extent.getBottomRight(extent){ol.Coordinate} experimental

src/ol/extent.js, line 440

  Name | Type | Description
  --- | --- | ---
  `extent` | ol.Extent | Extent.

  ##### Returns:

  Bottom right coordinate.

#### staticol.extent.getCenter(extent){ol.Coordinate} experimental

src/ol/extent.js, line 450

  Name | Type | Description
  --- | --- | ---
  `extent` | ol.Extent | Extent.

  ##### Returns:

  Center.

#### staticol.extent.getHeight(extent){number} experimental

src/ol/extent.js, line 503

  Name | Type | Description
  --- | --- | ---
  `extent` | ol.Extent | Extent.

  ##### Returns:

  Height.

#### staticol.extent.getSize(extent){ol.Size} experimental

src/ol/extent.js, line 536

  Name | Type | Description
  --- | --- | ---
  `extent` | ol.Extent | Extent.

  ##### Returns:

  Size.

#### staticol.extent.getTopLeft(extent){ol.Coordinate} experimental

src/ol/extent.js, line 546

  Name | Type | Description
  --- | --- | ---
  `extent` | ol.Extent | Extent.

  ##### Returns:

  Top left coordinate.

#### staticol.extent.getTopRight(extent){ol.Coordinate} experimental

src/ol/extent.js, line 556

  Name | Type | Description
  --- | --- | ---
  `extent` | ol.Extent | Extent.

  ##### Returns:

  Top right coordinate.

#### staticol.extent.getWidth(extent){number} experimental

src/ol/extent.js, line 566

  Name | Type | Description
  --- | --- | ---
  `extent` | ol.Extent | Extent.

  ##### Returns:

  Width.

#### staticol.extent.intersects(extent1, extent2){boolean} experimental

src/ol/extent.js, line 577

  Name | Type | Description
  --- | --- | ---
  `extent1` | ol.Extent | Extent 1.
  `extent2` | ol.Extent | Extent.

  ##### Returns:

  Intersects.

#### staticol.extent.isEmpty(extent){boolean} experimental

src/ol/extent.js, line 590

  Name | Type | Description
  --- | --- | ---
  `extent` | ol.Extent | Extent.

  ##### Returns:

  Is empty.